Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class PortletEventProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.PortletEventProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PortletEventProcessor
extends AbstractPortalProcessor

The PortletEventProcessor invokes user defined portlet events, as defined by the portlet's webflow file. This processor gets invoked when the true webflow event (`PORTLET_WEBFLOW_EVENT`) is invoked. This processor then extracts the portlets webflow event from the HttpServletRequest parameter to invoke the portlet's webflow

See Also:
  `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT`, `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER`

Constructor Summary
`PortletEventProcessor()` Deprecated.

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletEventProcessor

    public PortletEventProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow. This processor extracts the portlets webflow event from the HttpServletRequest parameter "wfevent". And invokes that event in the portlets webflow file. The "wfevent" parameter is placed there automatically by the portlet:createWebflowEvent tag.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved